#######################################################################
# GLOBAL MACROS 
#######################################################################

package Global

##########

# not sure exactly what this is used for but it seems it needs to default
# to something 
_optsite_ {}


##########

_htmlextra_ {}

_starthighlight_ {<span style="background: #FFFF77">}
_endhighlight_ {</span>}

#######################################################################
# page content
#
# these should always be overridden for each page/collection 
#######################################################################

_content_ {<p><h2>oops</h2>
_textdefaultcontent_}
_pagetitle_ {_textdefaulttitle_}
_imagethispage_ {}
_iconcollection_ {}
_collectionname_ {}

_imagecollection_ {<img src="_httpcollection_/images/protemixlogo.gif">}

# width of tabs when displaying tables of contents
_tabwidth_ {25}

#######################################################################
# Macros whose values are set from within the server at runtime. These 
# are here only for reference and to set default values if required.           
#######################################################################

# _win32_ will be set to 1 if we're on windows
_win32_ {}

_navigationbar_ {}
_widthtspace_ {2}

# all cgi args are set as _cgiargX_ macros - those I've put here 
# are those that need to default to something
_cgiargd_ {}
_cgiargcl_ {}

# set from within the query action
_hselection_ {}
_jselection_ {}
_nselection_ {}
#granularity selection for mgpp
_gselection_ {}

#######################################################################
# flashy rollover image macro
#
#######################################################################

# imagescript should always be included in html header if there are
# flashy images on the page
_imagescript_ {
var loaded = new Array();
function gbutton (image, onimage) \{
  if (image && image.src && (image.out == null || typeof(image.out) == typeof(void(0)))) \{
    s = image.src;
    image.out = new Image();
    image.out.src = s;
    image.over = new Image();
    image.over.src = onimage;
    loaded[image.name] = image;
  \}
\}

function roll (imagename, over) \{
  if (document.images) \{
    if (over) i = "over";
    else i = "out";
    image = loaded[imagename];
    if (image) image.src = eval("image."+i+".src");
  \}
\}
}

# gsimage should be used to define an instance of a flashy image
# parameters are:
# 1. the url to go to when the button is clicked
# 2. the url of the "off" image
# 3. the url of the "on" image
# 4. the name of the image (must be unique)
# 5. image alt text
_gsimage_ {<a href="_1_" onMouseover="roll('_4_',1);" onMouseOut="roll('_4_',0);"><img
name="_4_" src="_2_" onLoad="gbutton(this,'_3_');" border=0 alt="_5_"></a>}

#######################################################################
# java images/scripts
#######################################################################

# the _javalinks_ macros are the flashy image links at the top right of
# the page. 

_javalinks_ {}


#######################################################################
# general web macros 
#######################################################################

_mailaddr_ {greenstone@cs.waikato.ac.nz}

_gsdltop_ {_top}

#######################################################################
# http macros 
#
# These contain the url without any quotes
#######################################################################

_httppagesubdocs_ {_httppagex_(subdocs)}

_httpcollimg_ {_httpcollection_/index/assoc}
_httpdocimg_ {_httpcollimg_/_thisOID_}

_httpcollection_ {_httpprefix_/collect/_cgiargc_}

_httppagex_ {_gwcgi_?e=_compressedoptions_&a=p&p=_1_}
_httppageabout_ {_httppagex_(about)}
_httppagehome_ {_httppageabout_}

_httpcurrentdocument_ {_gwcgi_?e=_compressedoptions_&cl=_cgiargcl_&d=_cgiargd_}
_httpquery_ {_gwcgi_?e=_compressedoptions_&a=q}
_httpBrowse_ {_gwcgi_?e=_compressedoptions_&a=br}

# _httpdoc_ is the same as _httpdocument_ - _httpdocument_
# may occasionally be altered by the server however
_httpdocument_ {_gwcgi_?e=_compressedoptions_&a=d}
_httpdoc_  {_gwcgi_?e=_compressedoptions_&a=d}

_httpextlink_ {_gwcgi_?e=_compressedoptions_&a=extlink}
_httpbuild_ {_gwcgi_?e=_compressedoptions_&a=bc}

_httpiconchalk_ {_httpcollection_/images/bg.gif}
_widthchalk_ {2000}
_heightchalk_ {10}

_httpicondivb_ {_httpimg_/divb.gif}
_widthdivb_ {_pagewidth_}
_heightdivb_ {17}

_httpicongsdl_ {_httpimg_/gsdl.gif}
_widthgsdl_ {140}
_heightgsdl_ {77}

_httpiconitext_ {_httpimg_/itext.gif}
_widthitext_ {16}
_heightitext_ {21}

_httpiconibtext_ {_httpimg_/ibtext.gif}
_widthibtext_ {16}
_heightibtext_ {21}

_httpiconless_ {_httpimg_/less.gif}
_widthless_ {30}
_heightless_ {16}

_httpiconmore_ {_httpimg_/more.gif}
_widthmore_ {30}
_heightmore_ {16}

_httpiconspacer_ {_httpimg_/spacer.gif}
_widthspacer_ {42}
_heightspacer_ {4}

_httpicontabspace_ {_httpimg_/tabspace.gif}
_widthtabspace_ {23}
_heighttabspace_ {1}

_httpicontspace_ {_httpimg_/tspace.gif}
_heighttspace_ {17}

_httpiconhhome_ {_httpimg_/h\_home.gif}
_widthhhome_ {200}
_heighthhome_ {57}

_httpiconarrrght_ {_httpimg_/arrrght.gif}
_widtharrrght_ {23}
_heightarrrght_ {15}

_httpiconopenbook_ {_httpimg_/openbook.gif}
_widthopenbook_ {28}
_heightopenbook_ {23}

_httpiconaopenbk_ {_httpimg_/aopenbk.gif}
_widthaopenbk_ {28}
_heightaopenbk_ {23}

_httpiconopenfldr_ {_httpimg_/openfldr.gif}
_widthopenfldr_ {23}
_heightopenfldr_ {15}

_httpiconaopenfdr_ {_httpimg_/aopenfdr.gif}
_widthaopenfdr_ {23}
_heightaopenfdr_ {15}

_httpiconbook_ {_httpimg_/book.gif}
_widthbook_ {18}
_heightbook_ {11}

_httpiconabook_ {_httpimg_/abook.gif}
_widthabook_ {18}
_heightabook_ {11}

_httpiconbshelf_ {_httpimg_/bshelf.gif}
_widthbshelf_ {20}
_heightbshelf_ {16}

_httpiconabshelf_ {_httpimg_/abshelf.gif}
_widthabshelf_ {20}
_heightabshelf_ {16}

_httpiconsmtext_ {_httpimg_/smtext.gif}
_widthsmtext_ {23}
_heightsmtext_ {15}

_httpiconasmtext_ {_httpimg_/asmtext.gif}
_widthasmtext_ {23}
_heightasmtext_ {15}

_httpiconclsdfldr_ {_httpimg_/clsdfldr.gif}
_widthclsdfldr_ {23}
_heightclsdfldr_ {15}

_httpiconaclsdfdr_ {_httpimg_/aclsdfdr.gif}
_widthaclsdfdr_ {23}
_heightaclsdfdr_ {15}

_httpiconipdf_ {_httpimg_/ipdf.gif}
_widthipdf_ {26}
_heightipdf_ {26}

#######################################################################
# Icons 
#
# Must not include links (so they can be used as links). If you want to
# include links use _image
#######################################################################

_iconnext_{&nbsp;&gt;}

_iconprev_{&lt;&nbsp;}

_icontabsearchgreen_ {<img 
src="_httpicontsrchgr_" width=_widthtsrchx_ border=0>}

_icontabTitlegreen_ {<img 
src="_httpiconttitlgr_" width=_widthttitlx_ border=0>}

_iconblankbar_ {<center><img src="_httpcollection_/images/bar2.gif"></center>}

_icontext_ {<img border=0 align=absmiddle src="_httpiconitext_" width=_widthitext_ height=_heightitext_ alt="_texticontext_">}

_iconblanktext_ {<img border=0 align=absmiddle src="_httpiconibtext_" width=_widthibtext_ height=_heightibtext_>}

_iconclosedbook_ {<img src="_httpiconbook_" width=_widthbook_ height=_heightbook_ border=0 alt="_texticonclosedbook_">}

_icondoc_ {doc}

_iconpdf_ {pdf}

#######################################################################
# Image links 
#
# These might include a link (not like an _icon_
#######################################################################

_imagehome_ {_If_("_cgiargu_" ne "1",_imagehome2_)}
_imagehome2_ {_gsimage_(_httppagehome_,_httpiconchomeof_,_httpiconchomeon_,homer,_textimagehome_)}
